techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Place Order
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
          POST
        • List orders
          GET
        • Order Details
          GET
        • Vouchered Cart
          POST
        • Discounted Cart
          POST
        • Redeemed Cart
          POST
        • Add-On Order
          POST
        • Redeemed Add-Ons Cart
          POST
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Place Order

List orders

GET
https://api.techrar.com/api/v3/orders/
This endpoint allows customers to retrieve their order history with optional filters

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/orders/?status=new%20-%3E%20100%2C%20pending%20-%3E%20101%2C%2010%20-%3E%20confirmed%2C%20on_delivery%20-%3E%20103%2C%20dlivery%20-%3E%20104%2C%20cancelled_by_customer%20-%3E%20105%2C%20cancelled_by_opteration%20-%3E%20106%2C%20cancelled_by_payment_failure%20-%3E%20107&type=subscription%2C%20on_demand%2C%20credit%2C%20subscription_plus%2C%20add_on&delivery_date=2025-12-05&is_pickup=false%2Ftrue&created_at_from=2025-11-01&created_at_to%09=2025-12-05' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 0,
        "custom_fields": null,
        "cart": {
            "id": 0,
            "custom_fields": null,
            "items": [
                {
                    "id": 0,
                    "custom_fields": null,
                    "ordered_combo": null,
                    "ordered_product": {
                        "product": {
                            "id": 0,
                            "created_at": "string",
                            "modified_at": "string",
                            "deleted_at": null,
                            "is_deleted": true,
                            "name_ar": "string",
                            "name_en": "string",
                            "original_price": 0,
                            "discount_percentage": 0,
                            "image": "string",
                            "nutritions": null,
                            "nutrition_options": [
                                "string"
                            ],
                            "restaurant_id": 0,
                            "is_sub": true,
                            "description_ar": null,
                            "description_en": null,
                            "is_active": true,
                            "in_stock": true,
                            "category_id": 0,
                            "allergies": [
                                "string"
                            ],
                            "variant": [
                                "string"
                            ],
                            "allergens_dislikes": [
                                "string"
                            ]
                        },
                        "modifier_options": [
                            "string"
                        ]
                    },
                    "subscription": null,
                    "menu_category_name": null,
                    "extra_config_quantity": null,
                    "app_id": 0,
                    "created_at": "string",
                    "modified_at": "string",
                    "is_deleted": true,
                    "deleted_at": null,
                    "ordering": 0,
                    "quantity": 0,
                    "price": 0,
                    "cart": 0,
                    "extra_item_config": null
                }
            ],
            "price": 0,
            "app_id": 0,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "is_confirmed": true,
            "customer_profile": 0
        },
        "cart_price": 0,
        "total_discounts": 0,
        "cart_price_discounts": 0,
        "total_price": 0,
        "restaurant": {
            "id": 0,
            "custom_fields": null,
            "app_id": null,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "string",
            "name_ar": "string",
            "subtitle_en": "string",
            "subtitle_ar": "string",
            "description_en": "string",
            "description_ar": "string",
            "logo": "string",
            "rest_type": "string",
            "start_after": 0,
            "store_start_after": 0,
            "is_active": true,
            "primary_color": "string",
            "secondary_color": "string",
            "banner": "string",
            "closed_dates": "string",
            "supports_pickup": true,
            "supports_delivery": true,
            "delivery_by_yumealz": true,
            "off_days": "string",
            "menu": 0,
            "main_branch_location": null
        },
        "restaurants": [
            {
                "id": 0,
                "custom_fields": null,
                "app_id": null,
                "created_at": "string",
                "modified_at": "string",
                "is_deleted": true,
                "deleted_at": null,
                "ordering": 0,
                "name_en": "string",
                "name_ar": "string",
                "subtitle_en": "string",
                "subtitle_ar": "string",
                "description_en": "string",
                "description_ar": "string",
                "logo": "string",
                "rest_type": "string",
                "start_after": 0,
                "store_start_after": 0,
                "is_active": true,
                "primary_color": "string",
                "secondary_color": "string",
                "banner": "string",
                "closed_dates": "string",
                "supports_pickup": true,
                "supports_delivery": true,
                "delivery_by_yumealz": true,
                "off_days": "string",
                "menu": 0,
                "main_branch_location": null
            }
        ],
        "payment": null,
        "location": {
            "id": 0,
            "custom_fields": null,
            "city": {
                "id": 0,
                "custom_fields": null,
                "app_id": null,
                "created_at": "string",
                "modified_at": "string",
                "is_deleted": true,
                "deleted_at": null,
                "ordering": 0,
                "name_ar": "string",
                "name_en": "string",
                "country_code": "string",
                "keywords": "string",
                "is_supported": true
            },
            "location_url": "string",
            "app_id": null,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": "string",
            "ordering": 0,
            "name_ar": "string",
            "name_en": "string",
            "longitude": "string",
            "latitude": "string",
            "address1": "string",
            "address2": "string",
            "place_id": null,
            "postal_code": null,
            "formatted_address": null,
            "district": null,
            "district_ar": null,
            "city_name_en": null,
            "city_name_ar": null,
            "route": null,
            "street_number": null,
            "is_synced": true,
            "type": "string",
            "description": null,
            "is_default": true,
            "image": null,
            "deleted_from": null,
            "agnostic_city_id": null,
            "agnostic_district_id": null,
            "zone": 0,
            "customer_profile": 0
        },
        "delivery_window": null,
        "pickup_branch": {
            "id": 0,
            "custom_fields": null,
            "location": {
                "id": 0,
                "custom_fields": null,
                "city": {
                    "id": 0,
                    "custom_fields": null,
                    "app_id": null,
                    "created_at": "string",
                    "modified_at": "string",
                    "is_deleted": true,
                    "deleted_at": null,
                    "ordering": 0,
                    "name_ar": "string",
                    "name_en": "string",
                    "country_code": "string",
                    "keywords": "string",
                    "is_supported": true
                },
                "location_url": "string",
                "app_id": null,
                "created_at": "string",
                "modified_at": "string",
                "is_deleted": true,
                "deleted_at": null,
                "ordering": 0,
                "name_ar": "string",
                "name_en": "string",
                "longitude": "string",
                "latitude": "string",
                "address1": "string",
                "address2": null,
                "place_id": "string",
                "postal_code": "string",
                "formatted_address": "string",
                "district": "string",
                "district_ar": null,
                "city_name_en": "string",
                "city_name_ar": null,
                "route": "string",
                "street_number": "string",
                "is_synced": true,
                "zone": 0
            },
            "app_id": null,
            "created_at": "string",
            "modified_at": "string",
            "is_deleted": true,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "string",
            "name_ar": "string",
            "on_demand_opened": true,
            "on_demand_delivery_price": 0,
            "on_demand_min_charge": 0,
            "branch_hours": "string",
            "is_active": true,
            "is_main": true,
            "is_dispatch": true,
            "gender": null,
            "restaurant": 0,
            "handler": 0
        },
        "voucher_applied": true,
        "restaurant_id": 0,
        "payment_link": null,
        "dispatch_branch_id": null,
        "app_id": 0,
        "created_at": "string",
        "modified_at": "string",
        "is_deleted": true,
        "deleted_at": null,
        "ordering": 0,
        "customer_id": 0,
        "delivery_fee": 0,
        "delivery_fee_discounts": 0,
        "redeem_discounts": 0,
        "redeemed_point_id": null,
        "status": 0,
        "is_sub": true,
        "is_paid": true,
        "voucher_id": 0,
        "type": "string",
        "delivery_date": "string",
        "received_at": null,
        "delivered_at": null,
        "notes": null,
        "redeem_flag": true,
        "price_flag": true,
        "is_prime": true,
        "is_saas": true,
        "is_pickup": true,
        "pickup_branch_id": 0,
        "invoice_serial": null,
        "invoice_file": null,
        "payment_attachment": null,
        "is_archived": true,
        "reference": null,
        "has_been_synced": true,
        "pending_sub_order_ids": null,
        "pending_add_on_items": null,
        "captain": 0,
        "prices": 0,
        "channel": null,
        "subscription": null
    }
]
Modified at 2025-12-09 09:16:22
Previous
Place Order
Next
Order Details
Built with